net.sf.jasperreports.engine.base

## Class JRBaseGraphicElement

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElement
  - - net.sf.jasperreports.engine.base.JRBaseGraphicElement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRElement, JRGraphicElement, JRIdentifiable, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRVisitable
  Direct Known Subclasses:
    JRBaseEllipse, JRBaseImage, JRBaseLine, JRBaseRectangle

      public abstract class JRBaseGraphicElement
      extends JRBaseElement
      implements JRGraphicElement

  This class provides functionality common to graphic elements. It provides implementation for the methods described in `JRTextElement`.
  Version:
    $Id: JRBaseGraphicElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FillEnum` | `fillValue`
    `protected JRPen` | `linePen`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, uuid, width, x, y`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseGraphicElement(JRGraphicElement graphicElement, JRBaseObjectFactory factory)` Constructs an empty graphic element.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.awt.Color` | `getDefaultLineColor()`
    `java.lang.Float` | `getDefaultLineWidth()`
    `FillEnum` | `getFillValue()` Indicates the fill type used for this element.
    `JRPen` | `getLinePen()`
    `FillEnum` | `getOwnFillValue()` Indicates the own fill type used for this element.
    `void` | `setFill(FillEnum fillValue)` Sets the fill type used for this element.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `clone, clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getStretchTypeValue, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### linePen

          protected JRPen linePen

    - #### fillValue

          protected FillEnum fillValue

  - ### Constructor Detail

    - #### JRBaseGraphicElement

          protected JRBaseGraphicElement(JRGraphicElement graphicElement,
                              JRBaseObjectFactory factory)

      Constructs an empty graphic element. By default graphic elements are opaque. protected JRBaseGraphicElement() { super(); } /** Initializes properties that are specific to graphic elements. Common properties are initialized by its parent constructor.
      Parameters:
        `graphicElement` - an element whose properties are copied to this element. Usually it is a `JRDesignGraphicElement` that must be transformed into an `JRBaseGraphicElement` at compile time.
        `factory` - a factory used in the compile process

  - ### Method Detail

    - #### getLinePen

          public JRPen getLinePen()

      Specified by:
        `getLinePen` in interface `JRCommonGraphicElement`

    - #### getFillValue

          public FillEnum getFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the fill type used for this element.
      Specified by:
        `getFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### getOwnFillValue

          public FillEnum getOwnFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the own fill type used for this element.
      Specified by:
        `getOwnFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### setFill

          public void setFill(FillEnum fillValue)

      Description copied from interface: `JRCommonGraphicElement`
      Sets the fill type used for this element.
      Specified by:
        `setFill` in interface `JRCommonGraphicElement`
      Parameters:
        `fillValue` - a value representing one of the line direction constants in `FillEnum`

    - #### getDefaultLineWidth

          public java.lang.Float getDefaultLineWidth()

      Specified by:
        `getDefaultLineWidth` in interface `JRPenContainer`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRPenContainer`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElement`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com